Jump to
Ctrl
+
/

Update Vault Account

PUT
/vaults/{vaultId}/vault-accounts/{vaultAccountId}/edit

This endpoint allows you to modify the attributes of an existing Vault Account.

Path Parameters

vaultAccountId string Required

Unique identifier of the Vault Account.

vaultId string Required

The ID of the vault for which a Vault Account is created.

Query Parameters

context string Optional

In batch situations the user can use the context to correlate responses with requests. This property is present regardless of whether the response was successful or returned as an error. context is specified by the user.

Request Body Schema application/json

context string Optional

In batch situations the user can use the context to correlate responses with requests. This property is present regardless of whether the response was successful or returned as an error. context is specified by the user.

data object Required
item object Required
color string Optional

A HEX color value used to uniquely visually style this Vault Account in dashboards.

isFavoriteInDashboard boolean Optional

Indicates whether the Vault Account has been marked as a "favorite" in the dashboard.

isHiddenInDashboard boolean Optional

Specifies whether this Vault Account is hidden from the main dashboard view.

name string Optional

The name of the Vault Account.

Response Schema

apiVersion string Required

Specifies the version of the API that incorporates this endpoint.

2026-03-20
requestId string Required

Defines the ID of the request. The requestId is generated by Vaultody and it's unique for every request.

601c1710034ed6d407996b30
context string Optional

In batch situations the user can use the context to correlate responses with requests. This property is present regardless of whether the response was successful or returned as an error. context is specified by the user.

yourExampleString
data object Required
item object Required
addressesCount string Required

The total number of addresses associated with this Vault Account.

12
createdAt integer Required

The UNIX timestamp indicating when the Vault Account was first created.

1760088530
index string Required

The sequential index of this Vault Account within its parent Vault.

1
isHiddenInDashboard boolean Required

Specifies whether this Vault Account is hidden from the main dashboard view.

true
vaultAccountColour string Required

A HEX color value used to uniquely visually style this Vault Account in dashboards.

#00A3BF
vaultAccountId string Required

The unique id of the Vault Account.

662b8dbe5c96b000064b23e8
vaultAccountName string Required

The name of the Vault Account.

Vault Account Name
vaultId string Required

The id of the Vault to which this Vault Account belongs.

68dfaeae39a4b80007c4f707

Credits Cost : 0 Credits for 1 Results

Was this page helpful?
Yes
No
Powered by
Language
URL

{
    "apiVersion": "2026-03-20",
    "requestId": "601c1710034ed6d407996b30",
    "context": "yourExampleString",
    "data": {
        "item": {
            "addressesCount": "12",
            "createdAt": 1760088530,
            "index": "1",
            "isHiddenInDashboard": true,
            "vaultAccountColour": "#00A3BF",
            "vaultAccountId": "662b8dbe5c96b000064b23e8",
            "vaultAccountName": "Vault Account Name",
            "vaultId": "68dfaeae39a4b80007c4f707"
        }
    }
}